LetsBot Меню
Почати Українська Мова

Meta Business Partner Компанія, зареєстрована у Великій Британії

Мова

Messages · ендпоінт API

GET /api/v1/message/id

Get message by Id

Get message content info with message id in phone chat number.

Get message content info with message id in phone chat number. In the data of the response , The body of the data response is the message content**. The chatName** is the phone number that receive this message. messageType is the type of the message that sent. remoteJid is the phone whatsapp account. Time is the time of the message in timestamp format. TimeFormatted is the time of the message in Format _ Dayname, Daynumber MonthName Year Hours:Min:Sec ZoneType_. There are different types of response depend on the message type. You can see Examples of the response in different types below the request.

Параметри запиту

ПараметрОбов’язковоПрикладОпис
phone Так {{phone}} phone number with country code
messageID Так BAE5690364E55771 Message Id

Приклад запиту

curl -G "https://letsbot.net/api/v1/message/id" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  --data-urlencode "phone=9665xxxxxxxx" \
  --data-urlencode "messageID=BAE5690364E55771"
const response = await fetch("https://letsbot.net/api/v1/message/id?phone=%7B%7Bphone%7D%7D&messageID=BAE5690364E55771", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/message/id?phone=%7B%7Bphone%7D%7D&messageID=BAE5690364E55771');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "GET",
    "https://letsbot.net/api/v1/message/id",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    params={
        "phone": "9665xxxxxxxx",
        "messageID": "BAE5690364E55771",
    },
)

print(response.json())

Відповіді

Failed Response202
(порожнє тіло)
Success Response (Text)200
(порожнє тіло)
Image Message Response200
(порожнє тіло)
Video Message Response200
(порожнє тіло)
File Message Response200
(порожнє тіло)
GIF Message Response200
(порожнє тіло)
Audio Message Response200
(порожнє тіло)
Button Text Message Response200
(порожнє тіло)

Готові, коли готові ви

Спробуйте цей ендпоінт на своєму номері

API працює протягом безкоштовного пробного періоду. Створіть акаунт, підключіть номер WhatsApp і скопіюйте ключ у розділі API → Дані автентифікації.